package org.bitbucket.bradleysmithllc.etlagent.informatica;

import org.bitbucket.bradleysmithllc.etlagent.Agent;
import org.bitbucket.bradleysmithllc.etlagent.dto.GenericResponseDTO;
import org.bitbucket.bradleysmithllc.etlagent.informatica.provider.InformaticaConfiguration;
import org.bitbucket.bradleysmithllc.etlunit.RuntimeSupport;
import org.bitbucket.bradleysmithllc.etlunit.feature.FeatureOperation;

public interface InformaticaRequestHandler<T, J extends GenericResponseDTO> extends Agent.RequestHandler<T, J>
{
	void receiveRuntimeSupport(RuntimeSupport runtimeSupport);
	void setFeatureOperation(FeatureOperation featureOperation);
	void setInformaticaConfiguration(InformaticaConfiguration informaticaConfiguration);
}